Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	FastCGI Development Kit
Name:		FastCGI
Version:	2.4.0
Release:	1
License:	Distributable
Group:		Development/C
Source0:	http://www.fastcgi.com/dist/fcgi-%{version}.tar.gz
Source1:        README.supervise
Patch0:         FastCGI-makefile.am_cppflags.patch
Patch1:         FastCGI-clientdata_pointer.patch
Patch2:         FastCGI-supervise_cgi-fcgi.patch
URL:		http://www.fastcgi.com/
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		_includedir	%_prefix/include/fastcgi

%description
FastCGI is an open extension to CGI that provides high performance for
all Internet applications without the penalties of Web server APIs.

FastCGI is designed to be layered on top of existing Web server APIs.
For instance, the mod_fastcgi Apache module adds FastCGI support to
the Apache server. FastCGI can also be used, with reduced
functionality and reduced performance, on any Web server that supports
CGI.

This FastCGI Developer's Kit is designed to make developing FastCGI
applications easy. The kit currently supports FastCGI applications
written in C/C++, Perl, Tcl, and Java.

This package contains only shared libraries used by programs developed
using FastCGI Developer's Kit and cgi-fcgi (bridge from CGI to
FastCGI).

%package	devel
Summary:	FastCGI development kit
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
This package contains FastCGI Developer's Kit, which is designed to
make developing FastCGI applications easy. The kit currently supports
FastCGI applications written in C/C++, Perl, Tcl, and Java.

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep
%setup -n fcgi-%{version}
%patch0
%patch1
%patch2
touch NEWS AUTHORS ChangeLog COPYING
find doc/{fastcgi-prog-guide,fastcgi-whitepaper} -type f -print0 | xargs -r0 chmod 0644

%build
autoreconf -fi
%configure --disable-static --with-pic --includedir=%{_includedir}/fastcgi
%{__make} all
pushd perl
    %configure --disable-static --with-pic --includedir=%{_includedir}/fastcgi
    %{__perl} Makefile.PL
    %{__make} all
popd

%install
%makeinstall
pushd examples
	make clean
popd
install -Dd -m 0755 $RPM_BUILD_ROOT%_mandir/man{1,3}/ $RPM_BUILD_ROOT%_docdir/%{name}/examples/
install -m 0644 examples/* $RPM_BUILD_ROOT%_docdir/%{name}/examples/
install -m 0644 doc/*.1 $RPM_BUILD_ROOT%_mandir/man1/
install -m 0644 doc/*.3 $RPM_BUILD_ROOT%_mandir/man3/
install -m 0644 doc/*.htm* doc/*.gif LICENSE.TERMS README $RPM_BUILD_ROOT%_docdir/%{name}/
cp -vr doc/{fastcgi-prog-guide,fastcgi-whitepaper} java %{S:1} $RPM_BUILD_ROOT%_docdir/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %_docdir/%{name}
%_bindir/cgi-fcgi
%_libdir/libfcgi*.so.*
%_mandir/man1/*.1.gz

%files devel
%defattr(-,root,root)
%_libdir/libfcgi*.la
%_libdir/libfcgi*.so
%_includedir
%_mandir/man3/*.3.gz


%changelog
* Tue Sep 23 2008 Christian Wasem <wasem@ccux-linux.de> 2.4.0-1
- Initial release